# cwltool.loghandler

Shared logger for cwltool.

## Attributes

`defaultStreamHandler` |

## Functions

`configure_logging`(err_handler, no_warnings, quiet, ...) | Configure logging.

## Module Contents

cwltool.loghandler.defaultStreamHandler

cwltool.loghandler.configure_logging(err_handler, no_warnings, quiet, debug, enable_color, timestamps, base_logger=_logger)

  Configure logging.

  Parameters:

    - err_handler (logging.Handler)

    - no_warnings (bool)

    - quiet (bool)

    - debug (bool)

    - enable_color (bool)

    - timestamps (bool)

    - base_logger (logging.Logger)

  Return type:

    None